// Next available MSG number is   494
// MODULE_ID ACAD_DCL_
//
//  $Header: /sedona/develop/support/acad.dcl 33    4/18/97 4:13p Heinz $
//
//  acad.dcl - AutoCAD dialogs
//
//  Copyright 1991-1997 by Autodesk, Inc.
//
//  Permission to use, copy, modify, and distribute this software for
//  any purpose and without fee is hereby granted, provided that the
//  above copyright notice appears in all copies and that both that
//  copyright notice and the limited warranty and restricted rights
//  notice below appear in all supporting documentation.
//
//  AUTODESK PROVIDES THIS PROGRAM "AS IS" AND WITH ALL FAULTS.
//  AUTODESK SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTY OF
//  MERCHANTABILITY OR FITNESS FOR A PARTICULAR USE.  AUTODESK,
//  INC. DOES NOT WARRANT THAT THE OPERATION OF THE PROGRAM WILL BE
//  UNINTERRUPTED OR ERROR FREE.
//
//  Use, duplication, or disclosure by the U.S. Government is subject
//  to restrictions set forth in FAR 52.227-19 (Commercial Computer
//  Software - Restricted Rights) and DFAR 252.227-7013(c)(1)(ii)
//  (Rights in Technical Data and Computer Software), as applicable.
//

//  This file should not be modified when used with AutoCAD.
//  Modification to the dialog definitions can have serious adverse
//  effects on the use of the product.  Since no modifications to this
//  file are allowed, there should be no need for any internal error
//  checking on the contents of this file, hence we disable audit
//  checks by default.

acad_snap : dialog {
        label = " ";
        : row {
            : column {
                : boxed_column {
                    label = "";
                    : toggle {
                        label = "&";
                        key = "ortho";
                    }
                    : toggle {
                        label = "&";
                        key = "fill";
                    }
                    : toggle {
                        label = "&. ";
                        key = "qtext";
                    }
                    : toggle {
                        label = "&";
                        key = "blips";
                    }
                    : toggle {
                        label = "&";
                        key = "hilite";
                    }
                    : toggle {
                        label = "&";
                        key = "group";
                    }
                    : toggle {
                        label = "&";
                        key = "hatch";
                    }

                }
            }
            : boxed_column {
                label = "&";
                : toggle {
                    label = "";
                    key = "snap";
                }
                : edit12_box {
                    label = "  &X";
                    key = "s_xsp";
                    errmsg = "   X";
                }
                : edit12_box {
                    label = "  &Y";
                    key = "s_ysp";
                    errmsg = "   Y";
                }
                : edit12_box {
                    label = "& ";
                    key = "s_ang";
                    errmsg = " ";
                }
                : edit12_box {
                    label = "&  X";
                    key = "xbase";
                    errmsg = " X ";
                }
                : edit12_box {
                    label = "&  Y";
                    key = "ybase";
                    errmsg = " Y ";
                }
            }
            : column {
                : boxed_column {
                    label = "&";
                    fixed_height = true;
                    : toggle {
                        label = "";
                        key = "grid";
                    }
                    : edit12_box {
                        label = "&  X";
                        key = "g_xsp";
                        errmsg = "   Y";
                    }
                    : edit12_box {
                        label = "&  Y";
                        key = "g_ysp";
                        errmsg = "   Y";
                    }
                }
                : boxed_column {
                    label = "&   ";
                    : toggle {
                        label = "";
                        key = "iso";
                    }
                    : radio_row {
                        key = "isorad";
                        : radio_button {
                            label = "&";
                            key = "ileft";
                        }
                        : radio_button {
                            label = "&";
                            key = "itop";
                        }
                        : radio_button {
                            label = "&";
                            key = "iright";
                        }
                    }
                }
            }
       }
       ok_cancel_help_errtile;
}

rq_chroma :dialog {
    label = " ";
    key = "chroma";                   // used by Help button to obtain label
    std_rq_color;
}

lt_text: text {
    width = 25;
}

lt_image: image_button {
    height = 1;
    width = 15;
    allow_accept = true;
}

acad_tstyle : dialog {
    label = "  ";
    : row {
        : column {
            : list_box {
                key = "style_list";
                width = 16;
                height = 8;
                allow_accept = true;
            }
            : button {
                label = "& ...";
                key = "showall";
            }
        }
        : column {
            : image {
                key = "style_image";
                height = 7;
                width = 20;
            }
            : edit_box {
                key = "style_sample";
                label = "& ";
                edit_width = 6;
                fixed_width = true;
                alignment = centered;
            }
        }
    }
    spacer;
    : edit_box {
        key = "style_edit";
        label = "& ";
        edit_width = 31;
        edit_limit = 217;
        fixed_width = true;
        allow_accept = true;
    }
    : row {
        : paragraph {
            : text_part {
                label = ":";
            }
            : text_part {
                label = ":";
            }
            : text_part {
                label = ":";
            }
            : text_part {
                label = ":";
            }
            : text_part {
                label = ":";
            }
        }
        : paragraph {
            : text_part {
                key = "font";
                width = 32;
            }
            : text_part {
                key = "height";
                width = 32;
            }
            : text_part {
                key = "width";
                width = 32;
            }
            : text_part {
                key = "oblique";
                width = 32;
            }
            : text_part {
                key = "gen";
                width = 32;
            }
        }
    }
    ok_cancel_err;
}

acad_tstyle_sym : dialog {
    key = "acad_tstyle_sym";
    label = " ";
    : text {
        key = "page";
        width = 10;
    }
    : image {
        key = "showall";
        color = graphics_background;
        height = 16;
        width = 70;
    }
    : row {
        : ok_button {
            is_cancel = true;
        }
        : button {
            label = "&";
            key = "pagedown";
            width = 10;
        }
        : button {
            label = "&";
            key = "pageup";
            width = 10;
        }
    }
}

acad_icon: dialog {
        key = "label";
        initial_focus               = "listbox";
        : row {
            : list_box {
                width               = 20;
                height              = 21;
                fixed_height        = true;
                key                 = "listbox";
                allow_accept        = true;
            }
            : column {
                : row {
                    : icon_image {
                        key         = "icon1";
                    }
                    : icon_image {
                        key         = "icon2";
                    }
                    : icon_image {
                        key         = "icon3";
                    }
                    : icon_image {
                        key         = "icon4";
                    }
                }
                : row {
                    : icon_image {
                        key         = "icon5";
                    }
                    : icon_image {
                        key         = "icon6";
                    }
                    : icon_image {
                        key         = "icon7";
                    }
                    : icon_image {
                        key         = "icon8";
                    }
                }
                : row {
                    : icon_image {
                        key         = "icon9";
                    }
                    : icon_image {
                        key         = "icon10";
                    }
                    : icon_image {
                        key         = "icon11";
                    }
                    : icon_image {
                        key         = "icon12";
                    }
                }
                : row {
                    : icon_image {
                        key         = "icon13";
                    }
                    : icon_image {
                        key         = "icon14";
                    }
                    : icon_image {
                        key         = "icon15";
                    }
                    : icon_image {
                        key         = "icon16";
                    }
                }
                : row {
                    : icon_image {
                        key         = "icon17";
                    }
                    : icon_image {
                        key         = "icon18";
                    }
                    : icon_image {
                        key         = "icon19";
                    }
                    : icon_image {
                        key         = "icon20";
                    }
                }
/*
 *              : row {
 *                  : icon_image {
 *                      key         = "icon21";
 *                  }
 *                  : icon_image {
 *                      key         = "icon22";
 *                  }
 *                  : icon_image {
 *                      key         = "icon23";
 *                  }
 *                  : icon_image {
 *                      key         = "icon24";
 *                  }
 *              }
 */
            }
        }
        : row {
            : row {
                spacer_0;
                : row {
                    fixed_width = true;
                    : button {
                        label = "&";
                        key = "prev";
                        width = 8;
                    }
                    :spacer {
                        width = 2;
                    }
                    :button {
                        label = "  &  ";
                        key = "next";
                        width = 8;
                    }
                }
                spacer_0;
            }
            spacer;
            ok_cancel;
        }
}

acad_mtprop_edit_box : edit_box {
    edit_width = 20;
    edit_limit = 30;
}

acad_mtprop_popup_list : popup_list {
    edit_width = 24;
}

acad_mtprop : dialog {
    label = " ";
    :boxed_column {
        label = "";
        :acad_mtprop_popup_list {
            label = "&:";
            key = "sty";
        }
        :acad_mtprop_edit_box {
            label = "& :";
            key = "hgt";
        }
        :acad_mtprop_popup_list {
            label = "&:";
            list = " \n ";
            key = "dir";
        }
    }
    :boxed_column {
        label = " ";
        :acad_mtprop_popup_list {
            label = "&:";
            list = " \n  \n \n \n  \n \n \n  \n ";
            key = "att";
        }
        :acad_mtprop_edit_box {
            label = "&:";
            key = "wid";
        }
        :acad_mtprop_edit_box {
            label = "&:";
            key = "rot";
        }
    }
    ok_cancel_help_errtile;
}

acad_plan6 : dialog {
    label = "";
    : concatenation {
        : text_part {
            label = ": ";
        }
        : text_part {
            label = "**";
            key = "name";
            width = 40;
        }
    }
    : row {
        : boxed_column {
            label = "";
            : concatenation {
                : text_part {
                    label = "X=";
                }
                : text_part {
                    key = "00";
                    width = 12;
                }
            }
            : concatenation {
                : text_part {
                    label = "Y=";
                }
                : text_part {
                    key = "10";
                    width = 12;
                }
            }
            : concatenation {
                : text_part {
                    label = "Z=";
                }
                : text_part {
                    key = "20";
                    width = 12;
                }
            }
        }
        : boxed_column {
            label = " X";
            : concatenation {
                : text_part {
                    label = "X=";
                }
                : text_part {
                    key = "01";
                    width = 12;
                }
            }
            : concatenation {
                : text_part {
                    label = "Y=";
                }
                : text_part {
                    key = "11";
                    width = 12;
                }
            }
            : concatenation {
                : text_part {
                    label = "Z=";
                }
                : text_part {
                    key = "21";
                    width = 12;
                }
            }
        }
        : boxed_column {
            label = " Y";
            : concatenation {
                : text_part {
                    label = "X=";
                }
                : text_part {
                    key = "02";
                    width = 12;
                }
            }
            : concatenation {
                : text_part {
                    label = "Y=";
                }
                : text_part {
                    key = "12";
                    width = 12;
                }
            }
            : concatenation {
                : text_part {
                    label = "Z=";
                }
                : text_part {
                    key = "22";
                    width = 12;
                }
            }
        }
        : boxed_column {
            label = " Z";
            : concatenation {
                : text_part {
                    label = "X=";
                }
                : text_part {
                    key = "03";
                    width = 12;
                }
            }
            : concatenation {
                : text_part {
                    label = "Y=";
                }
                : text_part {
                    key = "13";
                    width = 12;
                }
            }
            : concatenation {
                : text_part {
                    label = "Z=";
                }
                : text_part {
                    key = "23";
                    width = 12;
                }
            }
        }
    }
    : ok_button {
        is_cancel = true;
    }
}

acad_plan : dialog {
    label = " ";
    initial_focus = "listbox";
    spacer;
    : list_box {
        label = "& ";
        tabs = "34";
        key = "listbox";
        width = 44;
        tab_truncate = true;
    }
    : row {
        : button {
            label = "&";
            key = "cur";
        }
        : button {
            label = "&";
            key = "delete";
        }
        : button {
            label = "&...";
            key = "list";
        }
    }
    : row {
        : button {
            label = "& :";
            key = "rename";
            fixed_width = true;
        }
        : edit_box {
            key = "rename_edit_box";
            edit_width = 28;
            edit_limit = 217;
        }
    }
    ok_cancel_help_errtile;
}

acad_txtedit : dialog {
    label = " ";
    initial_focus = "text_edit";
    : edit_box {
        label = ":";
        key = "text_edit";
        edit_width = 40;
        edit_limit = 2048;
        allow_accept = true;
    }
    ok_cancel;
}

acad_attedit : dialog {
    label = "  ";
    initial_focus = "tag_edit";
    : edit_box {
        key = "tag_edit";
        label = ":";
        edit_width = 40;
        edit_limit = 2048;
    }
    : edit_box {
        key = "prompt_edit";
        label = ":";
        edit_width = 40;
        edit_limit = 2048;
    }
    : edit_box {
        key = "default_edit";
        label = " :";
        edit_width = 40;
        edit_limit = 2048;
    }
    ok_cancel;
    : errtile { width = 45; }
}


//  "Edit Attributes" / "Enter Attributes"  dialogue.
//
//  This is user-customizable, in that the "num_items" parameter specifies
//  the number of prompt/value fields to be displayed at once.  The number
//  of corresponding text and edit_box widgets should match this number,
//  with keys of "prompt_1" and "edit_1" through "prompt_n" and "edit_n".
//
//  The widths of the prompt and value fields can also be customized.
//  Up to 80 characters of text can be displayed per prompt.  The value
//  edit boxes scroll, so they can accommodate 255-character values.

acad_ddatte : dialog {
    key = "ddatte";
    label = " ";  // Changes to "Enter Attributes" for
                                          // INSERT with ATTDIA set.
    initial_focus = "edit_1";
    : concatenation {
        : text_part {
            label = " : ";
        }
        : text_part {
            key = "block";
            width = 31;
        }
    }
    spacer_1;
    num_items = 8;                    // Customizable
    //  The number of prompt/edit pairs should match the "num_items" setting.
    : row {
        : text_25    { key = "prompt_1"; }
        : edit32_box { key = "edit_1"; }
    }
    : row {
        : text_25    { key = "prompt_2"; }
        : edit32_box { key = "edit_2"; }
    }
    : row {
        : text_25    { key = "prompt_3"; }
        : edit32_box { key = "edit_3"; }
    }
    : row {
        : text_25    { key = "prompt_4"; }
        : edit32_box { key = "edit_4"; }
    }
    : row {
        : text_25    { key = "prompt_5"; }
        : edit32_box { key = "edit_5"; }
    }
    : row {
        : text_25    { key = "prompt_6"; }
        : edit32_box { key = "edit_6"; }
    }
    : row {
        : text_25    { key = "prompt_7"; }
        : edit32_box { key = "edit_7"; }
    }
    : row {
        : text_25    { key = "prompt_8"; }
        : edit32_box { key = "edit_8"; }
    }
    : row {
        fixed_width = true;
        alignment = centered;
        ok_button;
        cancel_button;
        : retirement_button {
            key = "prev";
            label = "&";
        }
        : retirement_button {
            key = "next";
            label = " &";
        }
        help_button;
    }
    errtile;
}


acad_dlfname : dialog {               // Single-file dialog
    initial_focus = "fedit";
    key = "dlfname";
    files_topdf;
    : row {
        : list_box {
            label = "&:";
            key = "dirbox";
            width = 15;
        }
        : list_box {
            label = "&:";
            key = "filebox";
            width = 15;
            allow_accept = true;
        }
        : column {
            : image {          // Drawing icon image will go here
                key = "icon";
                color = dialog_background;    // Invisible
                height = 4;
                aspect_ratio = 1.4;
                fixed_height = true;
                fixed_width = true;
            }
            : button {
                label = "&";
                key = "typeit";
            }
            : button {
                label = " &.";
                key = "default";
            }
        }
    }
    files_bottomdf;
}

//  acad_dlfmulti is used by the FILES command's Delete and Unlock
//  options.  It is similar to acad_dlfname (above), except that:
//
//    - its file listbox has the "multiple_select" attribute,
//    - its file listbox does not have the "allow_accept" attribute,
//    - it has additional "Select all" and "Clear all" buttons, and
//    - its title bar label is slightly different.
//
//  Modifications to either dialog should be examined for their relevance
//  to the other.

acad_dlfmulti : dialog {              // Multiple-file dialog
    initial_focus = "fedit";
    key = "dlfname";
    files_topdf;
    : row {
        : list_box {
            label = "&:";
            key = "dirbox";
            width = 15;
        }
        : list_box {
            label = "&:";
            key = "filebox";
            width = 15;
            multiple_select = true;
        }
        : column {
            : image {          // Drawing icon image will go here
                key = "icon";
                color = dialog_background;    // Invisible
                alignment = centered;
                height = 4;
                aspect_ratio = 1.4;
                fixed_height = true;
                fixed_width = true;
            }
            spacer_1;
            : button {
                label = "& ";
                key = "all";
            }
            : button {
                label = "&";
                key = "clear";
                is_enabled = false;
            }
            spacer_1;
            : button {
                label = "&";
                key = "typeit";
            }
            : button {
                label = " &.";
                key = "default";
            }
        }
    }
    files_bottomdf;
}

acad_files : dialog {
    label = "  ";
    initial_focus = "exit";
    : row {
        : column {
            : button {
                label = "&... ";
                key = "list";
            }
            : button {
                label = "&...";
                key = "delete";
            }
        }
        : column {
            : button {
                label = " &... ";
                key = "copy";
            }
            : button {
                label = "&...";
                key = "unlock";
            }
        }
        : column {
            : button {
                label = "&...";
                key = "rename";
            }
            : help_button {
                fixed_width = false;
            }
        }
    }
    errtile;
    : button {
        label = "     &     ";
        key = "cancel";
        fixed_width = true;
        alignment = centered;
        is_cancel = true;
        is_default = true;
    }
}

acad_info : dialog {
    label = "  ";    // Overridden by caller
    key = "acad_info";
    : row {
        : image {
            key = "logo";
            width = 8;
            aspect_ratio = 1.0;
            fixed_height = true;
            alignment = top;
            color = dialog_background;
        }
        : paragraph {
            : text_part {
                key = "text1";
                width = 63;
            }
            : text_part {
                key = "text2";
                width = 63;
            }
            : text_part {
                key = "text3";
                width = 63;
            }
            : text_part {
                key = "text4";
                width = 63;
            }
            : text_part {
                key = "text5";
                width = 63;
            }
            : text_part {
                key = "text6";
                width = 63;
            }
            : text_part {
                key = "text7";
                width = 63;
            }
            : text_part {
                key = "text8";
                width = 63;
            }
            : text_part {
                key = "text9";
                width = 63;
            }
            : text_part {
                key = "text10";
                width = 63;
            }
        }
    }
    spacer;
    : list_box {
        width = 63;
        key = "listbox";
    }
    : ok_button {                     // Permit exit via either ENTER
        is_cancel = true;             //   or CTRL-C.
    }
}

init_view : dialog {

    key = "title";
    initial_focus = "listbox";
    : list_box {
        tabs = "33";
        width = 40;
        key = "listbox";
        allow_accept = true;
    }
    ok_cancel_err;
}




acad_plot : dialog {
    label = "";
    : row {
        : column {
            : boxed_column {
                label = "    ";
                : text {
                    key = "userid";
                    width = 35;
                }
                : button {
                    label = "&   ...";
                    fixed_width = true;
                    key = "devsel";
                    alignment = centered;
                }
            }
            : boxed_row {
                label = " ";
                children_fixed_width = true;
                : button {
                    label = "& ...";
                    key = "assign";
                }
                : button {
                    label = "&...";
                    key = "optimize";
                }
            }
            : boxed_column {
                label = " ";
                : row {
                    : radio_column {
                        fixed_width = true;
                        : radio_button {
                            label = "&";
                            key = "D";
                        }
                        : radio_button {
                            label = "&";
                            key = "E";
                        }
                        : radio_button {
                            label = "&";
                            key = "L";
                        }
                        : radio_button {
                            label = "&";
                            key = "V";
                        }
                        : radio_button {
                            label = "&";
                            key = "W";
                        }
                    }
                    : column {
                        : edit12_box {
                            label = " ";
                            key = "textreso";
                            errmsg = "Text Resolution";
                        }
                        : toggle {
                            label = " ";
                            key = "textfill";
                        }
                        : toggle {
                            label = "&  ";
                            key = "hide";
                        }
                        : toggle {
                            label = "&  ";
                            key = "plfill";
                        }
                        : toggle {
                            label = "  &";
                            key = "file";
                        }
                        : toggle {
                            label = " &";
                            key = "aspool";
                        }
                    }
                }
                : row {
                    alignment = centered;
                    : button {
                        label = "&...";
                        key = "view";
                        fixed_width = true;
                    }
                    : button {
                        label = "&...";
                        key = "selwind";
                        fixed_width = true;
                    }
                    : button {
                        label = "& ...";
                        key = "sfile";
                        fixed_width = true;
                    }
                }
            }
        }
        : column {
                : boxed_column {
                    label = "   ";
                    : row {
                        : radio_column {
                            fixed_width = true;
                            : radio_button {
                                label = "&";
                                key = "I";
                            }
                            : radio_button {
                                label = "&";
                                key = "M";
                            }
                        }
                        : row {
                            fixed_width = true;
                            : button {
                                label = "&...";
                                key = "sizbuttn";
                                fixed_width = true;
                            }
                            : text {
                                key = "size";
                                width = 6;
                            }
                            : column {
                                spacer;
                                : image {
                                    key = "vec_image";
                                    width = 4.0;
                                    fixed_width = true;
                                    aspect_ratio = 1.0;
                                    color = dialog_background;
                                }
                                spacer;
                            }
                        }
                    }
                    : text {
                        key = "area";
                        width = 25;
                    }
                }
                : boxed_column {
                    label = ",   ";
                    : button {
                        label = "  &...";
                        key = "rot&or";
                        alignment = centered;
                        fixed_width = true;
                    }
                    : row {
                        : column {
                            children_fixed_width = true;
                            : text {
                                key = "pu";
                                width = 14;
                                alignment = right;
                            }
                            : edit_box {
                                edit_width = 10;
                                key = "punit";
                                alignment = centered;
                            }
                        }
                        : column {
                            children_fixed_width = true;
                            children_alignment = centered;
                            : text {
                                label = "=";
                            }
                            : text {
                                label = "=";
                            }
                        }
                        : column {
                            children_fixed_width = true;
                            : text {
                                label = " ";
                            }
                            : edit_box {
                                edit_width = 10;
                                key = "dunit";
                                alignment = centered;
                            }
                        }
                    }
                    : toggle {
                        label = "&";
                        key = "fit";
                    }
                }
                : boxed_column {
                    label = " ";
                    : row {
                        children_fixed_width = true;
                        : button {
                            label = "&...";
                            key = "prev";
                        }
                        : radio_row {
                            : radio_button {
                                label = "&";
                                key = "earea";
                            }
                            : radio_button {
                                label = "&";
                                key = "full";
                            }
                        }
                    }
                }
        }
    }
    ok_cancel_help;
    : row {
        : errtile { fixed_width = true; }

        // This spacer_0 between the two fixed-width items serves
        // to left-justify the first and right-justify the second,
        // since it's the only flexible-width item in the row.
        spacer_0;

        : row {
            fixed_width = true;
            : text {
                key = "zero";
                width = 3;
            }
            : image {
                key = "pre_image";
                color = dialog_background;
                height = 1;
                width = 18;
            }
            : text {
                key = "comp";
                width = 5;
            }
        }
    }
}

acad_plwin : dialog {
    label = " ";
        : button {
            label = "& <";
            key = "pick";
            fixed_width = true;
        }
            : boxed_row {
                label = "& ";
                : edit_box {
                    label = "   X:";
                    key = "fpx";
                    edit_width = 10;
                }
                : edit_box {
                    label = "   Y:";
                    key = "fpy";
                    edit_width = 10;
                }
            }
            : boxed_row {
                label = "& ";
                : edit_box {
                    label = "   X:";
                    key = "spx";
                    edit_width = 10;
                }
                : edit_box {
                    label = "   Y:";
                    key = "spy";
                    edit_width = 10;
                }
            }
        ok_cancel_err;
}

acad_plopt : dialog {
    aspect_ratio = 0;
    label = "  ";
    : column {
        : toggle {
            label = "& ";
            key = "0";
        }
        : toggle {
            label = "  & ";
            key = "1";
        }
        : toggle {
            label = " & ";
            key = "2";
        }
        : toggle {
            label = " &  ";
            key = "3";
        }
        : toggle {
            label = " &  ";
            key = "4";
        }
        : toggle {
            label = " &  / ";
            key = "5";
        }
        : toggle {
            label = "   & ";
            key = "6";
        }
    }
    ok_cancel;
}

acad_plsize : dialog {
    label = " ";
    : row {
        : column {
            : concatenation {
                : text_part {
                    label = "&";
                    width = 8;
                }
                : text_part {
                    label = "";
                    width = 9;
                }
                : text_part {
                    label = "";
                }
            }
            : list_box {
                key = "listbox";
                tabs = "0 8 17";
                width = 28;
                height = 13;
            }
        }
        spacer_1;
        : column {
            : row {
                : text_part {
                    label = "";
                    width = 8;
                }
                : text_part {
                    label = "";
                    width = 11;
                }
                : text_part {
                    label = "";
                }
            }
            spacer_0;
            : row {
                : text_part {
                    label = "&:";
                    width = 8;
                }
                : edit_box {
                    key = "0w";
                    edit_width = 10;
                }
                : edit_box {
                    key = "0h";
                    label = " ";
                    edit_width = 10;
                }
            }
            : row {
                : text_part {
                    label = "&1:";
                    width = 8;
                }
                : edit_box {
                    key = "1w";
                    edit_width = 10;
                }
                : edit_box {
                    key = "1h";
                    label = " ";
                    edit_width = 10;
                }
            }
            : row {
                : text_part {
                    label = "&2:";
                    width = 8;
                }
                : edit_box {
                    key = "2w";
                    edit_width = 10;
                }
                : edit_box {
                    label = " ";
                    key = "2h";
                    edit_width = 10;
                }
            }
            : row {
                : text_part {
                    label = "&3:";
                    width = 8;
                }
                : edit_box {
                    key = "3w";
                    edit_width = 10;
                }
                : edit_box {
                    label = " ";
                    key = "3h";
                    edit_width = 10;
                }
            }
            : row {
                : text_part {
                    label = "&4:";
                    width = 8;
                }
                : edit_box {
                    key = "4w";
                    edit_width = 10;
                }
                : edit_box {
                    label = " ";
                    key = "4h";
                    edit_width = 10;
                }
            }
            : row {
                : column {
                    spacer_1;
                    : row {
                        alignment = left;
                        : text_part {
                            label = " -";
                            fixed_width = true;
                        }
                        : text_part {
                            key = "land";
                            width = 12;
                        }
                    }
                    spacer;
                }
                : column {
                    spacer;
                    : image {
                        key = "vec_image";
                        width = 4.0;
                        fixed_width = true;
                        aspect_ratio = 1.0;
                        color = dialog_background;
                    }
                    spacer;
                }
            }
        }
    }
    ok_cancel_err;
}

acad_plpen : dialog {
    label = " ";
    : column {
        : row {
            : paragraph {
                : concatenation {
                    : text_part {
                        label = "   ";
                        key = "1";
                        width = 20;
                    }
                    : text_part {
                        label = "";
                        key = "2";
                        width = 11;
                    }
                    : text_part {
                        label = ".";
                        key = "3";
                        width = 7;
                    }
                    : text_part {
                        label = "";
                        key = "4";
                    }
                }
                : list_box {
                    key = "listbox";
                    tabs = "2 11 22 32 38";
                    width = 50;
                    multiple_select = true;
                }
            }
            : boxed_column {
                label = " ";
                : row {
                    : text_part {
                        label = ":";
                        width = 7;
                        fixed_width = true;
                    }
                    : image {
                        key = "color_image";
                        width = 4.0;
                        height = 0.5;
                    }
                }
                : text {
                    width = 13;
                    key = "varies";
                }
                : row {
                    : text_part {
                        label = "&:";
                        width = 7;
                        fixed_width = true;
                    }
                    : edit_box {
                        key = "penno";
                        edit_width = 8;
                    }
                }
                : row {
                    : text_part {
                        label = " &:";
                        width = 7;
                        fixed_width = true;
                    }
                    : edit_box {
                        key = "ltype";
                        edit_width = 8;
                    }
                }
                : row {
                    : text_part {
                        label = "&:";
                        width = 7;
                        fixed_width = true;
                    }
                    : edit_box {
                        key = "speed";
                        edit_width = 8;
                    }
                }
                : row {
                    : text_part {
                        label = "&:";
                        width = 7;
                        fixed_width = true;
                    }
                    : edit_box {
                        key = "width";
                        edit_width = 8;
                    }
                }
            }
        }
        : row {
            : button {
                label = "&...";
                key = "legend";
                fixed_width = true;
            }
            : spacer { width = 2; }
            : edit_box {
                label = "& :";
                key = "lpwidth";
                edit_width = 8;
                fixed_width = true;
            }
        }
    }
    ok_cancel_err;
}

acad_plpre : dialog {
    label = "   ";
        : image {
            key = "pimage";
            height = 11.25;
            width = 25;
            fixed_width = true;
            fixed_height = true;
            alignment = centered;
        }
        : row {
            : image {
                key = "cpaper";
                width = 2.0;
                color = red;
                height = 0.1;
                fixed_width = true;
                fixed_height = true;
            }
            : text {
                key = "paper";
                width = 50;
            }
        }
        : row {
            : image {
                key = "earea";
                width = 2.0;
                color = blue;
                height = 0.1;
                fixed_width = true;
                fixed_height = true;
            }
            : text {
                key = "area";
                width = 50;
            }
        }
        : row {
            : image {
                key = "clip";
                width = 2.0;
                height = 0.1;
                fixed_width = true;
                fixed_height = true;
            }
            : text {
                key = "cliptxt";
                width = 50;
            }
        }
        : text {
            width = 50;
            key = "warn";
        }
        : list_box {
            height = 3;
            key = "listbox";
        }
    ok_only;
}

acad_plok : dialog {
   label = " ";
   : column {
       width = 15;
       : button {
           label = "&";
           key = "zoomd";
       }
       : button {
           key = "accept";
           label = "&  ";
           is_cancel = true;
       }
   }
}

acad_plokcan : dialog {
    label = " ";
    : column {
        width = 15;
        : button {
            label = "& ";
            key = "zoomd";
        }
        : button {
            key = "accept";
            label = "& ";
            is_cancel = true;
        }
    }
}

acad_devdesc : dialog {
    label = " ";
    : column {
        : text {
            label = "       ";
        }
        : edit_box {
            edit_limit = 80;
            label = ":";
            key = "desc";
        }
    }
    ok_cancel;
}

acad_devinf : dialog {
    label = "     ";
    : boxed_column {
                label = " ";
                : list_box {
                        key = "listbox";
                        width = 60;
                        height = 6;
                        tabs = "36";
                }
                : concatenation {
                        : text_part {
                        label = ": ";
                        fixed_width = true;
                        width = 14;
                        }
                        : text_part {
                        key = "device";
                        width = 50;
                        }
                }
                : concatenation {
                        : text_part {
                        label = ": ";
                        width = 6;
                        }
                        : text_part {
                        key = "port";
                        width = 50;
                        }
                }
    }
    : boxed_row {
                label = " ";
            : column {
                    : text {
                            label = " (PC2)";
                alignment = centered;
                    }
            : row {
                        : button {
                                label = "&...";
                                key = "savepc2";
                        }
                        : button {
                                label = "&";
                                key = "loadpc2";
                        }
            }
            }
        spacer_0;
        : column {
                    : text {
                            label = " (PCP - R12/R13)";
                alignment = centered;
                    }
            : row {
                        : button {
                                label = "&...";
                                key = "sfile";
                        }
                        : button {
                                label = "&...";
                                key = "ffile";
                        }
            }
        }
    }
    : boxed_row {
                label = "- ";
                : text_part {
                        label = " : ";
                        width = 35;
                }
                : button {
                        label = "&...";
                        key = "showreq";
                        is_enabled = false;
                }
                : button {
                        label = "&";
                        key = "cfgreq";
                        is_enabled = false;
                }
    }
    ok_cancel_help_errtile;
}

acad_plferr : dialog {
    label = "     ";
    : list_box {
        width = 62;
        height = 8;
        key = "listbox";
    }
    : row {
        spacer_0;
        : row {
            fixed_width = true;
            : button {
                key = "save";
                label = "&  ";
            }
            : spacer {
                width = 2;
            }
            ok_only;
        }
        spacer_0;
    }
    errtile;
}

acad_rotor : dialog {
    label = "    ";
    : boxed_radio_row {
        label = " ";
        : radio_button {
            label = "&0";
            key = "0";
        }
        : radio_button {
            label = "&90";
            key = "90";
        }
        : radio_button {
            label = "&180";
            key = "180";
        }
        : radio_button {
            label = "&270";
            key = "270";
        }
    }
    : boxed_row {
        label = " ";
        : edit_box {
            label = "&X :";
            key = "originx";
            edit_width = 10;
        }
        : edit_box {
            label = "&Y :";
            key = "originy";
            edit_width = 10;
        }
    }
    spacer;
    ok_cancel_err;
}


acad_dwgmod : dialog {
   label = "  ";
   initial_focus = "save";
   : column {
       : text {
           label = "   .";
           alignment = centered;
       }
       : row {
           : button {
               label = "&...";
               is_default = true;
               key = "save";
           }
           : button {
               label = "&";
               key = "discard";
           }
           : button {
               label = "& ";
               is_cancel = true;
               key = "cancel";
           }
       }
   }
}

acad_newdwg : dialog {
    label = "  ";
    initial_focus = "fedit";
    : boxed_column {
        : row {
            : button {
                label = "&...";
                key = "template";
            }
            : edit32_box {
                key = "protype";
            }
        }
        : column {
            : toggle {
                label = "& ";
                key = "dflts";
                value = "0";
            }
            : toggle {
                label = "&    ";
                key = "retain";
                value = "0";
            }
        }
    }
    spacer_1;
    : column {
        : row {
            : button {
                label = "&  ...";
                key = "fdialog";
            }
            : edit32_box {
                key = "fedit";
                allow_accept = true;
            }
        }
    }
    ok_cancel_err;
}

// acad_opendwg is used by the OPEN command and is the same as
// acad_dlfname except it has additional toggles:
//          Select Initial View and Read Only Mode
// and the title is fixed in the definition.

acad_opendwg : dialog {
    label = " ";
    initial_focus = "fedit";
    files_topdf;
    : row {
        : list_box {
            label = "&:";
            key = "dirbox";
            width = 15;
        }
        : list_box {
            label = "&:";
            key = "filebox";
            width = 15;
            allow_accept = true;
        }
        : column {
            : image {          // Drawing icon image will go here
                key = "icon";
                color = dialog_background;    // Invisible
                height = 6;
                aspect_ratio = 1.4;
                fixed_height = true;
                fixed_width = true;
            }
            : button {
                label = "&";
                key = "typeit";
            }
            : button {
                label = " &.";
                key = "default";
            }
        }
    }
    : row {
        : toggle {
            label = "&  ";
            key = "vselect";
            value = "0";
        }
        : toggle  {
            label = "  &";
            key = "read";
            value = "0";
        }
    }
    files_bottomdf;
}

acad_reinit : dialog {
    label = "";
    : boxed_column {
        label = "  -";
        : row {
            : toggle {
                label = "&";
                key = "1";
                value = "0";
            }
        }
    }
    : boxed_column {
        label = "   ";
        : toggle {
            label = "&";
            key = "g";
            value = "0";
        }
        : toggle {
            label = "PGP-&";
            key = "p";
            value = "0";
        }
    }
    ok_cancel;
}

f0 : dialog {
  label = "  ";
  f0guts;
}

f0he : dialog {
  label = " ";
  f0guts;
}

f0guts : column {
  : row {
    : column {
      : boxed_row {
        label = " &";
        : column {
            fixed_height = true;
            : button {
                label = "&...";
                key = "pattern_palette";
            }
            : popup_list {
                key = "pattern_type";
                edit_width = 17;
                popup_height = 3;
                list = "\n  \n\n";
            }
        }
        : image_button {
            // This should match 'icon_image' in base.dcl in order to match the
            //  bitmaps in 'pattern_palette'.
            color        = 0;
            width        = 11;
            aspect_ratio = 0.66;
            allow_accept = true;
            fixed_height = true;
            fixed_width  = true;
            alignment    = centered;
            key = "pattern_img";
            allow_accept = false;
        }
      }
      : boxed_row {
        label = " ";
        : column {
          isopwidth;
          : popup_list {
            label = "& :";
            edit_width = 12;
            popup_height = 3;
            key = "pattern_name";
          }
          : edit_box {
            label = " &:";
            key = "pattern_custom";
            edit_width = 12;
          }
          : edit_box {
            label = "&:  ";
            key = "hatch_scale";
            edit_width = 12;
          }
          : edit_box {
            label = "&:";
            edit_width = 12;
            key = "hatch_angle";
          }
          : edit_box {
            label = "&:";
            key = "hatch_spacing";
            edit_width = 12;
          }
          spacer;
          : toggle {
            label = "-&";
            key = "d_hatch";
          }
        }
      }
    }
    : column {
      children_width = 18;
      children_fixed_width = true;
      children_alignment = centered;
      : boxed_column {
        label = "";
        spacer;
        : button {
          label = "&  <";
          key = "pick_bound";
        }
        : button {
          label = "&  <";
          key = "select";
        }
        : button {
          label = "&  <";
          key = "rem_islands";
        }
        : button {
          label = " & <";
          key = "look_at_it";
        }
        spacer;
        : button {
          label = "& ...";
          key = "options";
        }
      }
      spacer;
      : column {
        children_alignment = left;
        : button {
          label = "&  <";
          key = "preview";
          width = 24;
        }
        : button {
          label = "&  <";
          key = "inherit";
          width = 24;
        }
        spacer;
        : boxed_column {
          label = "";
          : toggle {
            label = "&";
            key = "assoc";
          }
          : toggle {
            label = "&";
            key = "explode";
          }
        }
      }
      spacer;
    }
  }
  : row {
    fixed_width = true;
    alignment = centered;
    spacer;
    : button {
      key = "accept";
      is_default = true;
      label = "&";
      width = 8;
    }
    spacer;
    : button {
      key = "cancel";
      label = "&";
      width = 8;
      is_cancel = true;
    }
    spacer;
    : button {
      key = "help";
      label = "&";
      width = 8;
      is_help = true;
    }
    spacer;
  }
  errtile;
}

acad_wait : dialog {
   key = "title";
   initial_focus = "accept";
   width = 25;
   spacer;
   : column {
       fixed_width = true;
       fixed_height = true;
       alignment = centered;
       : button {
           key = "accept";
           label = "&";
           is_cancel = true;
       }
    }
    spacer;
}


f1guts : column {
    aspect_ratio = 0;
    : row {
        : boxed_column {
            label = " ";
            : button {
                label = " &  <";
                key = "make_select";
            }
            : radio_column {
                key = "use";
                : radio_button {
                    label = " &   ";
                    key = "use_all";
                    value = "1";
                }
                : radio_button {
                    label = "  &";
                    key = "use_old_select";
                }
            }
            : toggle {
                label = " &";
                key = "islands";
            }
        }
        : boxed_column {
          label = " ";
          alignment = top;
          : image_button {
            alignment = centered;
            color = 0;
            aspect_ratio = 0.8;
            width = 10;
            key = "icon_noi";
            fixed_width = true;
            fixed_height = true;
          }
          : popup_list {
            label = "& :";
            key = "hatch_style";
            edit_width = 14;
            popup_height = 3;
            list = "\n\n\n";
          }
          spacer;
        }
    }
    : boxed_column {
        label = " ";
        : row {
            : toggle {
                label = "& ";
                key = "retain";
            }
            : popup_list {
                label = "& :";
                list = "\n\n";
                key = "bpoly_type";
                edit_width = 14;
            }
        }
        spacer;
    }
}


f1 : dialog {
    label = " ";
    f1guts;
    spacer;
    ok_cancel;
    : errtile { width = 30; }
}



f2 : dialog {
    label = " ";
    initial_focus = "accept";
   : column {
        : popup_list {
            label = "& :";
            list = "\n\n";
            key = "bpoly_type";
            edit_width = 14;
            fixed_width = true;
        }
        spacer;
        : boxed_column {
            label = " ";
            : radio_column {
                key = "use";
                : radio_button {
                    label = " &   ";
                    key = "use_all";
                    value = "1";
                }
                : radio_button {
                    label = "  &";
                    key = "use_old_select";
                }
            }
            : big_button {
                label = " &  <";
                key = "make_select";
                alignment = centered;
            }
            spacer;
        }
        spacer;
        : toggle {
            label = "& ";
            key = "islands";
        }
    }
    spacer;
    pick_cancel;
    errtile;
}

fh_open : dialog {
    label = "  ";
    initial_focus = "accept";
    width = 30;
    spacer;
    : column {
        fixed_height = true;
        alignment = centered;
        : text {
            alignment = centered;
            label = "  .";
        }
    }
    spacer_1;
    ok_look;
    spacer;
}


fh_outside : dialog {
    aspect_ratio = 0;
    label = "  ";
    initial_focus = "accept";
    width = 30;
    spacer;
    : column {
        fixed_height = true;
        alignment = centered;
        : text {
            alignment = centered;
            label = "   .";
        }
    }
    spacer_1;
    ok_look;
    spacer;
}


fh_on : dialog {
    aspect_ratio = 0;
    label = "  ";
    initial_focus = "accept";
    width = 30;
    spacer;
    : column {
        fixed_height = true;
        alignment = centered;
        : text {
            alignment = centered;
            label = "    .";
        }
    }
    spacer_1;
    ok_look;
    spacer;
}


fh_dup : dialog {
    aspect_ratio = 0;
    label = "  ";
    initial_focus = "accept";
    width = 30;
    spacer;
    : column {
        fixed_height = true;
        alignment = centered;
        : text {
            alignment = centered;
            label = "    .";
        }
    }
    spacer_1;
    ok_only;
    spacer;
}


fh_awful : dialog {
    aspect_ratio = 0;
    label = "  ";
    initial_focus = "accept";
    width = 30;
    spacer;
    : column {
        fixed_height = true;
        alignment = centered;
        : text {
            alignment = centered;
            label = "    .";
        }
    }
    spacer_1;
    ok_only;
    spacer;
}


fh_nohatch : dialog {
    aspect_ratio = 0;
    label = " ";
    width = 30;
    spacer;
    : column {
        fixed_height = true;
        alignment = centered;
        : text {
            alignment = centered;
            label = "  ";
        }
    }
    spacer_1;
    ok_only;
    spacer;
}


fh_toodense : dialog {
    aspect_ratio = 0;
    label = " ";
    width = 30;
    spacer;
    : column {
        fixed_height = true;
        alignment = centered;
        : text {
            alignment = centered;
            label = "      .";
        }
    }
    spacer_1;
    ok_only;
    spacer;
}


falert : dialog {
    label = "  ";
    spacer;
    : text {
        key = "alert_text_1";
        horizontal_alignment = centered;
        width = 50;
    }
    : text {
        key = "alert_text_2";
        horizontal_alignment = centered;
        width = 50;
    }
    spacer_1;
    ok_only;
    spacer;
}

big_button :button{
    fixed_width = true;
    width = 25;
}


look_button : retirement_button {
    label           = "&";
    key             = "look";
    vertical_alignment = centered;
}


ok_look : column {
    : row {
        fixed_width = true;
        alignment = centered;
        : ok_button { is_cancel = true; }
        : spacer { width = 2; }
        look_button;
    }
}


next_button : button {
        label           = "&";
        key             = "next";
        fixed_width     = true;
        width           = 9;
        vertical_alignment = centered;
        horizontal_alignment = centered;
}


prev_button : button {
        label           = "&";
        key             = "previous";
        fixed_width     = true;
        width           = 9;
        vertical_alignment = centered;
        horizontal_alignment = centered;
}


pick_cancel : column {
    : row {
        fixed_width = true;
        alignment = centered;
        : button {
            label = "&  <";
            key = "accept";
            is_default = true;
        }
        : spacer { width = 1; }
        cancel_button;
        : spacer { width = 1; }
        help_button;
    }
}

//
// support functions
//

isopwidth : popup_list {
    label = "&   ISO:";
    list = " \n0,13 \n0,18 \n0,25 \n0,35 \n0,5 \n0,7 \n1,0 \n1,4 \n2,0 \n";
    popup_height = 3;
    key = "isopenwidth";
    edit_width = 12;
}

text_35 : text {
    width = 35;
}


acad_group : dialog {
    label = " ";
    initial_focus = "name";
    : column {
        : concatenation {
            : text_part {
                label = "& ";
                width = 32;
            }
            : text_part {
                label = "";
            }
        }
        : list_box {
            tabs = "36";
            key = "grp_list";
            width = 48;
            height = 5;
            tab_truncate = true;
        }
    }
    : boxed_column {
        label = " ";
        : column {
            : row {
                : text_part {
                    label = " &:";
                    width = 13;
                }
                : edit_box {
                    key = "name";
                    edit_width = 32;
                    edit_limit = 217;
                }
            }
            : row {
                : text_part {
                    label = "&:";
                    width = 13;
                }
                : edit_box {
                    key = "desc";
                    edit_width = 32;
                    edit_limit = 448;
                }
            }
        }
        : row {
            children_fixed_width = true;
            : button {
                label = "&  <";
                key = "find";
            }
            : button {
                label = "& <";
                key = "h_light";
            }
            : toggle {
                label = "& ";
                key = "anon";
            }
        }
    }
    : boxed_column {
        label = " ";
        : row {
            alignment = centered;
            : button {
                label = "& <";
                key = "add_new";
            }
            spacer_1;
            : toggle {
                label = "&";
                value = "1";
                key = "select";
            }
            : toggle {
                label = "& ";
                value = "0";
                key = "unnamed";
            }
        }
    }
    : boxed_column {
        label = " ";
        key = "chg_column";
        : row {
            : button {
                label = "& <";
                key = "remove";
            }
            : button {
                label = "& <";
                key = "add";
            }
            : button {
                label = "&";
                key = "rename";
            }
            : button {
                label = "&...";
                key = "order";
            }
        }
        : row {
            : button {
                label = "&";
                key = "chg_desc";
            }
            : button {
                label = "&";
                key = "explode";
            }
            : button {
                label = "&";
                key = "chg_select";
            }
        }
    }
    ok_cancel_help_errtile;
}


acad_grp_order : dialog {
    label = " ";
    : column {
        : text {
            label = "& ";
        }
        : list_box {
            key = "grp_list";
            width = 35;
            height = 6;
        }
    }
    : boxed_column {
        label = "&";
        : text {
            key = "desc";
            width = 32;
        }
    }
    : boxed_column {
        children_fixed_width = true;
        : row {
            : text {
                key = "remove";
                width = 35;
                horizontal_alignment = right;
            }
            : edit_box {
                edit_width = 10;
                key = "from";
                horizontal_alignment = left;
            }
        }
        : row {
            : text {
                key = "replace";
                width = 35;
                horizontal_alignment = right;
            }
            : edit_box {
                edit_width = 10;
                key = "to";
                horizontal_alignment = left;
            }
        }
        : row {
            : text {
                key = "qtext";
                width = 35;
                horizontal_alignment = right;
            }
            : edit_box {
                edit_width = 10;
                key = "quantity";
                horizontal_alignment = left;
            }
        }
    }
    : row {
        key = "action";
        : button {
            label = "& ";
            key = "reorder";
        }
        : button {
            label = "&";
            key = "hlight";
        }
        : button {
            label = "& ";
            key = "reverse";
        }
    }
    ok_cancel_help_errtile;
}

acad_grp_member : dialog {
    label = "   ";
    initial_focus = "accept";
    : list_box {
        key = "listbox";
        width = 35;
        height = 8;
        fixed_width = true;
    }
    spacer;
    : ok_button {
        is_cancel = true;
    }
}

acad_msg : dialog {
   label = " ";
   width = 30;
   : row {
       next_button;
       prev_button;
   }
   spacer_1;
   : ok_button {
       is_cancel = true;
   }
   errtile;
}

ddfcf : dialog {
  label        = "   ";
  :row {
      : boxed_column {
          label = "";
          children_fixed_height = true;
          children_fixed_width = true;
          : text {
             label = "";
          }
          spacer_1;
          : fcf_ibut {
             key         = "sym11";
          }
          spacer_1;
          : fcf_ibut {
             key         = "sym21";
          }
      }
      : boxed_column {
          label = " 1";
          children_fixed_height = true;
          children_fixed_width = true;
          : text {
              label = "   ";
          }
          spacer_1;
          : row {
              : fcf_ibut {
                  key         = "sym12";
              }
              : fcf_ebox {
                  key         = "ebox11";
              }
              : fcf_ibut {
                  key         = "sym13";
              }
          }
          spacer_1;
          : row {
              : fcf_ibut {
                  key         = "sym22";
              }
              : fcf_ebox {
                  key         = "ebox21";
              }
              : fcf_ibut {
                  key         = "sym23";
              }
          }
      }

      : boxed_column {
          label = " 2";
          children_fixed_height = true;
          children_fixed_width = true;
          : text {
              label = "   ";
          }
          spacer_1;
          : row {
               : fcf_ibut {
                   key         = "sym14";
               }
               : fcf_ebox {
                   key         = "ebox12";
               }
               : fcf_ibut {
                   key         = "sym15";
               }
          }
          spacer_1;
          : row {
              : fcf_ibut {
                  key         = "sym24";
              }
              : fcf_ebox {
                  key         = "ebox22";
              }
              : fcf_ibut {
                  key         = "sym25";
              }
          }
      }

      : boxed_column {
          label = " 1";
          children_fixed_height = true;
          children_fixed_width = true;
          : text {
              label = "  ";
          }
          spacer_1;
          : row {
              : fcf_ebox1 {
                  key         = "ebox13";
              }
              : fcf_ibut {
                  key         = "sym16";
              }
          }
          spacer_1;
          : row {
              : fcf_ebox1 {
                  key         = "ebox23";
              }
              : fcf_ibut {
                  key         = "sym26";
              }
          }
      }

      : boxed_column {
          label = " 2";
          children_fixed_height = true;
          children_fixed_width = true;
          : text {
              label = "  ";
          }
          spacer_1;
          : row {
              : fcf_ebox1 {
                  key         = "ebox14";
              }
              : fcf_ibut {
                  key         = "sym17";
              }
          }
          spacer_1;
          : row {
              : fcf_ebox1 {
                  key         = "ebox24";
              }
              : fcf_ibut {
                  key         = "sym27";
              }
          }
      }

      : boxed_column {
          label = " 3";
          children_fixed_height = true;
          children_fixed_width = true;
          : text {
              label = "  ";
          }
          spacer_1;
          : row {
              : fcf_ebox1 {
                  key         = "ebox15";
              }
              : fcf_ibut {
                  key         = "sym18";
              }
          }
          spacer_1;
          : row {
              : fcf_ebox1 {
                  key         = "ebox25";
              }
              : fcf_ibut {
                  key         = "sym28";
              }
          }
      }
  }
  spacer_1;
  : column {
      children_fixed_height = true;
      : row {
          fixed_width = true;
          : text {
               label = "";
          }
          : fcf_ebox {
              key         = "ebox31";
          }
          : text {
               label = "  ";
          }
          : fcf_ibut {
              key         = "sym31";
          }
      }
      spacer_1;
      : row {
          fixed_width = true;
          : text {
               label = " ";
          }
          : fcf_ebox {
              key         = "ebox32";
          }
      }
  }
  spacer_1;
  ok_cancel_help_errtile;
}

ddfcfsub: dialog {
  label        = "";
  : column {
   : row {
      : fcf_ibut1 {
        key          = "gdtj";      /* Position */
      }
      : fcf_ibut1 {
        key          = "gdtr";      /* Circularity */
      }
      : fcf_ibut1 {
        key          = "gdti";      /* Symmetry */
      }
      : fcf_ibut1 {
        key          = "gdtf";      /* Parallel */
      }
      : fcf_ibut1 {
        key          = "gdtb";       /* Perpendicular */
      }
    }
    : row {
      : fcf_ibut1 {
        key          = "gdta";      /* Angular */
      }
      : fcf_ibut1 {
        key          = "gdtg";      /* Cylindricity */
      }
      : fcf_ibut1 {
        key          = "gdtc";       /* Flatness */
      }
      : fcf_ibut1 {
        key          = "gdte";      /* Circularity */
      }
      : fcf_ibut1 {
        key          = "gdtu";      /* Straightness    */
      }
    }
    : row {
      : fcf_ibut1 {
        key          = "gdtd";      /* Profile of a surface */
      }
      : fcf_ibut1 {
        key          = "gdtk";      /* Line Profile */
      }
      : fcf_ibut1 {
        key          = "gdth";      /* Circular Runout */
      }
      : fcf_ibut1 {
        key          = "gdtt";      /* Total Runout    */
      }
      : fcf_ibut1 {
        key          = "gdt-";      /* Nothing */
      }
    }
  }
  spacer_1;
  ok_cancel_help_errtile;
}

ddfcfsub1: dialog {
  label        = " ";
  : row {
      : fcf_ibut1 {
       key          = "gdtm";   /* Maximum */
      }
      : fcf_ibut1 {
       key          = "gdtl";   /* Least */
      }
      : fcf_ibut1 {
       key          = "gdts";   /* Regardless of feature size */
      }
      : fcf_ibut1 {
       key          = "gdt-";   /* Nothing */
      }
  }
  spacer_1;
  ok_cancel_help_errtile;
}


spelldlg : dialog {
  label = " ";
  initial_focus = "sp_suggedit";
  : row {
    : text {
      label = " : ";
    }
    : text {
      key = "sp_currlang";
      width = 32;
      fixed_width = true;
    }
  }
  spacer;
  : row {
    : boxed_column {
      label = " ";
      : text {
        label = "";
        key = "sp_word";
        width = 32;
      }
      spacer;
    }
    : column {
      : cancel_button {
        width = 10;
      }
      : help_button {
        width = 10;
      }
    }
  }
  spacer;
  : text {
    label = "&:";
  }
  : row {
    : column {
      width = 20;
      : edit_box {
        key = "sp_suggedit";
        edit_limit = 63;
      }
      : list_box {
        key = "sp_sugglist";
        multiple_select = false;
        height = 6;
      }
    }
    children_alignment = top;
    children_fixed_height = true;
    : column {
      : row {
        : button {
          label = "&";
          key = "sp_ignore";
          width = 12;
          fixed_width = true;
          is_default = true;
        }
        : button {
          label = "& ";
          key = "sp_ignoreall";
          width = 20;
          fixed_width = false;
        }
      }
      : row {
        : button {
          label = "&";
          key = "sp_change";
          width = 12;
          fixed_width = true;
        }
        : button {
          label = "& ";
          key = "sp_changeall";
          width = 20;
          fixed_width = false;
        }
      }
      : row {
        : button {
          label = "&";
          key = "sp_addcustom";
          width = 12;
          fixed_width = true;
        }
        : button {
          label = "&";
          key = "sp_lookup";
          width = 20;
          fixed_width = false;
        }
      }
      spacer_1;
      : button {
        label = " &...";
        key = "sp_changedict";
      }
    }
  }
  spacer;
  : boxed_column {
    label = "";
    : text {
      label = "";
      key = "sp_context";
      width = 32;
    }
    spacer;
  }
  errtile;
}


spelloptdlg : dialog {
  label = " ";
  initial_focus = "sp_suggedit";
  : row {
    : boxed_column {
      label = "& ";
      : popup_list {
        key = "sp_mainname";
        edit_width = 28;
      }
    }
    spacer_1;
    : column {
      : ok_button {
        fixed_width = false;
      }
      : cancel_button {
        fixed_width = false;
      }
      : help_button {
        fixed_width = false;
      }
    }
  }
  spacer;
  : boxed_column {
    fixed_width = true;
    width = 32;
    label = " &";
    : edit_box {
      key = "sp_customname";
      edit_limit = 256;
    }
    : button {
      fixed_width = true;
      width = 10;
      alignment = centered;
      label = "&...";
      key = "sp_browse";
    }
  }
  : boxed_column {
    label = "&  ";
    : row {
      : column {
        : edit_box {
          key = "sp_custedit";
          width = 30;
          edit_limit = 63;
        }
        : list_box {
          key = "sp_customwords";
          multiple_select = false;
          height = 6;
        }
      }
      children_alignment = top;
      children_fixed_height = true;
      : column {
        : button {
          label = "&";
          key = "sp_custadd";
        }
        : button {
          label = "&";
          key = "sp_custdel";
        }
      }
    }
  }
  errtile;
}


// mstyle - main dialogue:

mstyle : dialog {
    label = " ";
    children_alignment = centered;
    :boxed_row {
        label = " ";
        width = 42; fixed_width = true;
        :column {
            : row {
                : text_part {
                    label = ":";
                    width = 13;
                }
                : popup_list {
                    key = "current";
                    edit_width = 31;
                    edit_limit = 31;
                }
            }
            : row {
                : text_part {
                    label = ":";
                    width = 13;
                }
                : edit_box {
                    key = "name";
                    edit_width = 31;
                    edit_limit = 31;
                }
            }
            : row {
                : text_part {
                    label = ":";
                    width = 13;
                }
                : edit_box {
                    key = "description";
                    edit_width = 31;
                    edit_limit = 255;
                }
            }
            :row {
                :button {
                    label = "...";
                    key = "load";
                }
                :button {
                    label = "...";
                    key = "save";
                }
                :button {
                    label = "";
                    key = "addStyle";
                }
                :button {
                    label = " ";
                    key = "rename";
                }
            }
        }
    }
    spacer_1;
    :image {
        key = "mline_image";
        height = 4;
        width = 45;
        alignment = centered;
        fixed_width = true;
    }
    :button {
        fixed_width = true;
        width = 32;
        height = 2;
        label = " ...";
        key = "elements";
    }
    :button {
        fixed_width = true;
        width = 32;
        height = 2;
        label = " ...";
        key = "properties";
    }
    spacer_1;
    ok_cancel_help_errtile;
}

//==================================================================
// mstyle - elements dialogue:

estyle : dialog {
     label = " ";
     : concatenation {
         : text_part {
              label = ":";
              width = 10;
              fixed_width = true;
         }
         : text_part {
              label = "";
              width = 8;
              fixed_width = true;
         }
         : text_part {
              label = "";
              width = 8;
              fixed_width = true;
         }
         : text_part {
              label = "";
              fixed_width = true;
         }
     }
     : row {
       : spacer {
         width = 9;
       }
       : list_box {
         width = 40;
         height = 4;
         key = "list_of_lines";
         tabs = "8 16";
       }
     }
     : row {
          fixed_width = true;
          : button {
               fixed_width = true;
               label = "";
               key = "addLine";
          }
          : button {
               fixed_width = true;
               label = "";
               key = "delLine";
          }
          : spacer { width = 3; }
          : edit_box {
              fixed_width = true;
              label = "";
              key = "offSet";
              value = "0.00";
              edit_width = 6; edit_limit = 6;
          }
     }
     : row {
          fixed_width = true;
          : button {
              fixed_width = true;
              width = 12;
              label = "...";
              key = "lineColDialog";
           }
           : image_button {
              fixed_width = true;
              key = "lineColSwash";
              height = 2; width = 5;
           }
           : edit_box {
              fixed_width = true;
              key = "lineColEdit";
              value = "";
              edit_width = 10;
              edit_limit = 10;
           }
     }

     : row {
          fixed_width = true;
          : button {
               fixed_width = true;
               width = 12;
               label = " ...";
               key = "setLineStyle";
          }
          : spacer {
              fixed_width = true;
               width = 6;
          }
          : text {
              fixed_width = true;
               key = "ltype_name";
               value = "";
               width = 10;
          }
     }
     ok_cancel_help;
     errtile;
}

//==================================================================
// mstyle - styles list dialogue:

sstyle : dialog {
     label = "  ";
     :row {
         :button {
            label = " ...";
            key = "mstyleFileBut";
         }
         : text {
            key = "mstyleFileLabel";
            width = 31;
         }
      }
     : list_box {
         width = 40;
         height = 4;
         key = "list_of_styles";
       }
    ok_cancel_help_errtile;
}

//==================================================================
// mstyle - properties dialogue:

pstyle : dialog {
  label = " ";
  : row {
    fixed_width = true;
    : toggle {
      label = " ";
      key = "dispJoint";
    }
  }
  : boxed_column {
    label = "";
    : row {
      fixed_width = true;
      : spacer {
        width = 12;
      }
      : text {
        label = "";
        width = 9;
      }
      : text {
        label = "";
      }
    }
    : row {
      fixed_width = true;
      : text {
        label = "";
        width = 12;
      }
      : toggle {
        key   = "scapline";
      }
      : spacer {
        width = 5;
      }
      : toggle {
        key   = "ecapline";
      }
    }
    : row {
      fixed_width = true;
      : text {
        label = " ";
        width = 12;
      }
      : toggle {
        key   = "scapoarc";
      }
      : spacer {
        width = 5;
      }
      : toggle {
        key   = "ecapoarc";
      }
    }
    : row {
      fixed_width = true;
      : text {
        label = " ";
        width = 12;
      }
      : toggle {
        key   = "scapiarc";
      }
      : spacer {
        width = 5;
      }
      : toggle {
        key   = "ecapiarc";
      }
    }
    : row {
      fixed_width = true;
      : text {
        label = "";
        width = 12;
      }
      : edit_box {
        key   = "scapangle";
        edit_limit = 10;
        edit_width = 10;
        fixed_width = true;
        value = "90.0";
      }
      : spacer {
        width = 2;
      }
      : edit_box {
        key   = "ecapangle";
        edit_limit = 10;
        edit_width = 10; fixed_width = true;
        value = "90.0";
      }
    }

  }
  : boxed_row {
    label = "";
    : toggle {
      key = "fillOn";
      label = "";
    }
    : spacer { width = 2; }
    : button {
      label = "...";
      key = fillColor;
    }
    : image_button {
      key = "fillColSwash";
      height = 2; width = 5; fixed_width = true;
    }
    : edit_box {
      key = "filColEdit";
      edit_limit = 10;
      edit_width = 10;
      fixed_width = true;
    }
  }
  ok_cancel_help;

  errtile;
}

//==================================================================
// mledit.dcl
//
//
// Prototype layout for mline edit tools.


//==================================================================
// mledit - main dialogue:

mledit : dialog {

  label = " ";
  : row {
        : image_button {
           key = "medit_cc";
           width = 7;
           height = 3;
           fixed_width = true;
        }
        : image_button {
           key = "medit_ct";
           width = 7;
           height = 3;
           fixed_width = true;
        }
        : image_button {
           key = "medit_cj";
           width = 7;
           height = 3;
           fixed_width = true;
        }
        : image_button {
           key = "medit_cs";
           width = 7;
           height = 3;
           fixed_width = true;
        }
   }
   : row {
        : image_button {
           key = "medit_oc";
           width = 7;
           height = 3;
           fixed_width = true;
        }
        : image_button {
           key = "medit_ot";
           width = 7;
           height = 3;
           fixed_width = true;
        }
        : image_button {
           key = "medit_av";
           width = 7;
           height = 3;
           fixed_width = true;
        }
        : image_button {
           key = "medit_ca";
           width = 7;
           height = 3;
           fixed_width = true;
        }
   }
   : row {
        : image_button {
           key = "medit_mc";
           width = 7;
           height = 3;
           fixed_width = true;
        }
        : image_button {
           key = "medit_mt";
           width = 7;
           height = 3;
           fixed_width = true;
        }
        : image_button {
           key = "medit_dv";
           width = 7;
           height = 3;
           fixed_width = true;
        }
        : image_button {
           key = "medit_wa";
           width = 7;
           height = 3;
           fixed_width = true;
        }
   }
   ok_cancel_help;
   errtile;
}

//==================================================================
// LispEd.dcl
//
//
// Prototype layout for single-line MText editor.


//==================================================================
// LispEd - main dialogue:

LispEd : dialog {
  label = " ";
  initial_focus = "text";
  : edit_box {
    label = ":";
    key = "contents";
    edit_width = 40;
    edit_limit = 100;
    allow_accept = true;
  }
  spacer;
  : column {
    : row {
      fixed_width = true;
      alignment = centered;
      ok_button;
      : spacer { width = 2; }
      cancel_button;
      : spacer { width = 2; }
      : retirement_button {
        label = " ...";
        mnemonic = "";
        key = "mtexted";
      }
    }
  }
}

block_equal : dialog {
  key = "block_equal";
  label = "  ";
    : text {
      label = "         ";
      alignment = centered;
    }
    : edit_box {
        label = "  :";
        key = "blockname";
        edit_width = 31;
        edit_limit = 31;
        alignment = centered;
        allow_accept = true;
    }
    ok_cancel_err;

}